<!-- prettier-ignore-start -->
# Class ProductAvailabilityLevels

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.catalog.ProductAvailabilityLevels](dw.catalog.ProductAvailabilityLevels.md)

Encapsulates the quantity of items available for each availability status.


## Property Summary

| Property | Description |
| --- | --- |
| [backorder](#backorder): [Quantity](dw.value.Quantity.md) `(read-only)` | Returns the backorder quantity. |
| [count](#count): [Number](TopLevel.Number.md) `(read-only)` | Returns the number of attributes that contain non-zero quantities. |
| [inStock](#instock): [Quantity](dw.value.Quantity.md) `(read-only)` | Returns the quantity in stock. |
| [notAvailable](#notavailable): [Quantity](dw.value.Quantity.md) `(read-only)` | Returns the quantity that is not available. |
| [preorder](#preorder): [Quantity](dw.value.Quantity.md) `(read-only)` | Returns the pre-order quantity. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getBackorder](dw.catalog.ProductAvailabilityLevels.md#getbackorder)() | Returns the backorder quantity. |
| [getCount](dw.catalog.ProductAvailabilityLevels.md#getcount)() | Returns the number of attributes that contain non-zero quantities. |
| [getInStock](dw.catalog.ProductAvailabilityLevels.md#getinstock)() | Returns the quantity in stock. |
| [getNotAvailable](dw.catalog.ProductAvailabilityLevels.md#getnotavailable)() | Returns the quantity that is not available. |
| [getPreorder](dw.catalog.ProductAvailabilityLevels.md#getpreorder)() | Returns the pre-order quantity. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### backorder
- backorder: [Quantity](dw.value.Quantity.md) `(read-only)`
  - : Returns the backorder quantity.


---

### count
- count: [Number](TopLevel.Number.md) `(read-only)`
  - : Returns the number of attributes that contain non-zero quantities.


---

### inStock
- inStock: [Quantity](dw.value.Quantity.md) `(read-only)`
  - : Returns the quantity in stock.


---

### notAvailable
- notAvailable: [Quantity](dw.value.Quantity.md) `(read-only)`
  - : Returns the quantity that is not available.


---

### preorder
- preorder: [Quantity](dw.value.Quantity.md) `(read-only)`
  - : Returns the pre-order quantity.


---

## Method Details

### getBackorder()
- getBackorder(): [Quantity](dw.value.Quantity.md)
  - : Returns the backorder quantity.

    **Returns:**
    - the backorder quantity.


---

### getCount()
- getCount(): [Number](TopLevel.Number.md)
  - : Returns the number of attributes that contain non-zero quantities.

    **Returns:**
    - the number of attributes that contain non-zero quantities.


---

### getInStock()
- getInStock(): [Quantity](dw.value.Quantity.md)
  - : Returns the quantity in stock.

    **Returns:**
    - the quantity in stock.


---

### getNotAvailable()
- getNotAvailable(): [Quantity](dw.value.Quantity.md)
  - : Returns the quantity that is not available.

    **Returns:**
    - the quantity that is not available.


---

### getPreorder()
- getPreorder(): [Quantity](dw.value.Quantity.md)
  - : Returns the pre-order quantity.

    **Returns:**
    - the pre-order quantity.


---

<!-- prettier-ignore-end -->
